var myAjaxTrigger = new createAJAX(); 

function remository_plugin_clearText(text)
{
	var s = text.indexOf('<<');
	var e = text.indexOf('>>');
	if(e > s)
		return text.substr(s + 2, e - s - 2);
	else
		return '';
}

function remository_plugin_category_change_result(responseText)
{
	var remository_category = document.getElementById('remository_category'); 
	var remository_file = document.getElementById('remository_file');
	while(remository_file.length > 1)
		remository_file.remove(1);
	var text = remository_plugin_clearText(responseText);
	var elements = text.split('>');
	for(var i = 1; i < elements.length; i++)
	{
		var fields = elements[i].split('<');
		var option = document.createElement('option');
		remository_file.options.add(option);
		option.value = fields[0];
		option.innerHTML = fields[1];
	}
	
	remository_category.disabled = false;
	remository_file.disabled = false;
}

function remository_plugin_error(status)
{
	var remository_category = document.getElementById('remository_category'); 
	var remository_file = document.getElementById('remository_file');
	remository_category.disabled = false;
	remository_file.disabled = false;
}

function remository_plugin_category_change()
{
	var remository_category = document.getElementById('remository_category'); 
	var remository_file = document.getElementById('remository_file');
	
	if(remository_category.value == '0')
	{
		while(remository_file.length > 1)
			remository_file.remove(1);
		return;
	}
	
	remository_category.disabled = true;
	remository_file.disabled = true;
	
	myAjaxTrigger.async_call(site_root + '/administrator/index.php', 'option=' + 
		encodeURIComponent(site_option) + '&adminpage=' + 
		encodeURIComponent(site_adminpage) + '&task=ajaxCall&format=raw' +
		'&plugin=remository&x=' + encodeURIComponent(remository_category.value), remository_plugin_category_change_result, remository_plugin_error);
}